#include "uhs2html.h"

char maintitle[BUFLEN];
int maintitleset=0;

void htmlhead(FILE* f, char* title)
{
	fputs("<!doctype html public \"-//w3c//dtd html 4.0 transitional//en\">\n",f);
	fputs("<html>\n",f);
	fputs("<head>\n",f);
	if(title)
		fprintf(f,"<title>%s: %s</title>\n",maintitle,title);
	else
		fprintf(f,"<title>%s</title>\n",maintitle);
		
	fputs("<body>\n",f);

	if(title)
		fprintf(f,"<h1>%s</h1><br>\n",title);
	else
		fprintf(f,"<h1>%s</h1><br>\n",maintitle);
}

void htmlfoot(FILE* f)
{
	fputs("</body>\n",f);
	fputs("</html>\n",f);
}

void htmlsubjectlink(FILE* f,char* text, char* link)
{
	fprintf(f,"<br>Subject: <a href=\"%s\">%s</a><br>\n",link,text);
}

void htmlhintlink(FILE* f,char* text, char* link)
{
	fprintf(f,"<br>Hint: <a href=\"%s\">%s</a><br>\n",link,text);
}

void htmlnexthintlink(FILE* f,char* link,int number)
{
	fprintf(f,"<a href=\"%s_%d.html\">Next</a><br>\n",link,number);
}

void htmlhint(FILE* f, int this, int all, char* text)
{
	fprintf(f,"Hint %d of %d:<br>\n<pre>",this,all);
	fputs(text,f);
	fputs("</pre><br>\n",f);
}
