#include "uhs2html.h"

void oldsubject(FILE*,int,int,int,int,char*,char*);
void oldhint(FILE*,int,int,char*,char*);

int nextnum(FILE* f)
{
	long here;
	char buffer[BUFLEN];
	here=ftell(f);
	myfgets(buffer,BUFLEN,f);
	myfgets(buffer,BUFLEN,f);
	fseek(f,here,SEEK_SET);
	return atoi(buffer);
}

void oldformat(FILE* hf)
{
	int eos,eoh;
	char buffer[BUFLEN];
	
	myfgets(buffer,BUFLEN,hf);	/* "UHS" */
	myfgets(maintitle,BUFLEN,hf);	/* title */
	myfgets(buffer,BUFLEN,hf);	/* end of subjects */
	eos=atoi(buffer);
	myfgets(buffer,BUFLEN,hf);	/* end of hints */
	eoh=atoi(buffer);

#ifdef DEBUG
	printf("eos %d eoh %d\n",eos,eoh);
#endif
	
	oldsubject(hf,1,nextnum(hf),eos,eoh,NULL,"index.html");
}

void oldsubject(FILE* hf,int startline,int endline, int eos, int eoh, char* title, char* htmlname)
{
	char buffer[BUFLEN];
	char subject[BUFLEN];
	FILE* html;
	int linkline;
	int i;
	long here;
	
	fseek(hf,0,SEEK_SET);
	for(i=0;i<startline+3;i++)
		myfgets(buffer,BUFLEN,hf);

	html=fopen(htmlname,"w+");
	
	htmlhead(html,title);
	
	while(startline < endline)
	{
		myfgets(subject,BUFLEN,hf);
		transstring(subject);
#ifdef DEBUG
		printf("Subject: %s\n",subject);
#endif
		myfgets(buffer,BUFLEN,hf);
		linkline=atoi(buffer);
		here=ftell(hf);
		strcpy(buffer,subject);
		spc2uscore(buffer);
		if(linkline < eos)
		{
#ifdef DEBUG
			printf("calling oldsubject to %d at %d\n",linkline,startline);
#endif
			strcat(buffer,".html");
			oldsubject(hf,linkline,nextnum(hf),eos,eoh,subject,buffer);
			htmlsubjectlink(html,subject,buffer);
		}
		else
		{
#ifdef DEBUG
			printf("calling oldhint to %d\n",linkline);
#endif
			oldhint(hf,linkline,nextnum(hf)?nextnum(hf):eoh,subject,buffer);
			strcat(buffer,".html");
			strcat(subject,"?");
			htmlhintlink(html,subject,buffer);
		}
		fseek(hf,here,SEEK_SET);
		startline+=2;
	}
	
	htmlfoot(html);
	fclose(html);
}

void oldhint(FILE* hf,int startline,int endline,char* title, char* htmlname)
{
	char** hints;
	char buffer[BUFLEN];
	int i,j;
	FILE* html;
	
	hints=malloc((endline-startline)*sizeof(char*));
#ifdef DEBUG
	printf("oldhint(hf,%d,%d,%s)\n",startline,endline,htmlname);
#endif
	
	fseek(hf,0,SEEK_SET);
	for(i=0;i<startline+3;i++)
		myfgets(buffer,BUFLEN,hf);
		
	for(i=0;i<endline-startline;i++)
	{
		myfgets(buffer,BUFLEN,hf);
		transstring(buffer);
		hints[i]=malloc(strlen(buffer)+1);
		strcpy(hints[i],buffer);
	}
	for(i=0;i<endline-startline;i++)
	{
		if(!i)
			sprintf(buffer,"%s.html",htmlname);
		else
			sprintf(buffer,"%s_%d.html",htmlname,i);
		
		html=fopen(buffer,"w+");
		htmlhead(html,title);
		
		for(j=0;j<i+1;j++)
		{
			htmlhint(html,j+1,endline-startline,hints[j]);
		}
		if(i<endline-startline-1)
			htmlnexthintlink(html,htmlname,j);
			
		htmlfoot(html);
		fclose(html);
	}
}
